The FHIR STU3 MedicationDispense indicates that a medication product is to be or has been dispensed for a named person/patient.
FHIR Resource: MedicationDispense <http://hl7.org/fhir/STU3/medicationdispense.html >
Endpoint URI
https://api.healthgorilla.com/fhir/MedicationDispense
The following operations are currently supported:
HTTP Request Method Action /MedicationDispense/{ID} GET Retrieve MedicationStatement resource by ID
HTTP Request Method Action /MedicationDispense?[parameter={value}] GET Retrieve MedicationStatement resources by the specified search criteria
Parameters:
Key Type Description patient Reference Patient Identifier _lastUpdated Date _offset Number _count Number
HTTP GET
https://api.healthgorilla.com/fhir/MedicationDispense?patient=8063965523692105bfc35def
HTTP GET
https://api.healthgorilla.com/fhir/MedicationDispense?_lastUpdated=gt2019-03&_offset=0&_count=5
HTTP GET
https://api.healthgorilla.com/fhir/MedicationDispense?patient=8063965523692105bfc35def&_lastUpdated=2018
HTTP Request Method Action /MedicationDispense POST Creates MedicationDispense resource
If resource has status not equal to completed or notDone attribute is True then request is rejected. Only competed supplies are supported.
The following attributes are required:
Name Details subject medication
HTTP Request Method Action /MedicationDispense/{ID} PUT Updates MedicationDispense resource
The following attributes are immutable:
Name Details patient medication
HTTP Request Method Action /MedicationDispense/{ID} DELETE Deletes MedicationDispense resource